function Pfa = ChiSquarePfa( K, x )

%%
% Summary:
%   Function that computes the false alarm probability of a central
%   chi-square with 2K degrees of freedom.
%
%%

Pfa = ones( 1, length(x) );
power = 1;

for ii = 1:( K - 1 ),
    power = power .* ( x / 2 )/ ii;
    Pfa = Pfa + power;
end

Pfa = Pfa .* exp( - x/2 );