close all
clear all
clc

% This is just a test
K = 10;     % Non-coherent integrations

N = 1e6;
variables = zeros( 1, N );

for ii = 1:K,
    noise = randn( 1, N ) + 1i * randn( 1, N );
    
    variables = variables + real( noise .* conj( noise ) ); 
end

[Pfa xi] = ksdensity( variables, 'function', 'survivor');

semilogy( xi, Pfa )
hold on

semilogy( xi, ChiSquarePfa( K, xi ), 'k--')
grid on
set( gca, 'FontSize', 16 )
xlabel('Variable')
ylabel('Pfa')
grid on
box on